config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  resources :vehicles
  get "/cars", to: "vehicles#car"
  get "/suvs", to: "vehicles#suv"
  get "/buses", to: "vehicles#bus"
  get "/trucks", to: "vehicles#truck"
  get "/equipments", to: "vehicles#equipment"

  root "vehicles#index"
  put "/vehicle/:id/vote", to: "vehicles#vote", as: "vote"
  put "/vehicle/:id/unvote", to: "vehicles#unvote", as: "unvote"
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

app/views/layouts/_footer.html.erb
<footer class = "footer navbar-fixed-bottom">
  <div class="navbar-header">
    <%= link_to "Ethio-Cars", root_path, class: "navbar-brand" %>
  </div>
  <div class = "terms">
    <%= link_to "Privacy $ policy", vehicles_path, class: "privacy" %>
    <%= link_to "Terms $ conditions", vehicles_path, class: "privacy" %>
    <p> Copyright 2014. All right reserved </p>
  </div>
  <div class = "social">
    <p>Connect with us:</p>
    <%= fa_stacked_icon "twitter", base: "circle-o", class: "fb" %>
    <%= fa_stacked_icon "instagram", base: "circle-o", class: "fb" %>
    <%= fa_stacked_icon "facebook", base: "circle-o", class: "fb" %>
  </div>
</footer>

app/views/layouts/_navigation.html.erb
<nav class="navbar navbar-default">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <%= link_to "Ethio-Cars", root_path, class: "navbar-brand" %>
    </div>
    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav mr-5 float-left home">
        <li><%= link_to "Home", root_path, class: "home" %></li>
        <li><%= link_to "Cars", cars_path %></li>
        <li><%= link_to "SUVs", suvs_path %></li>
        <li><%= link_to "Buses", buses_path %></li>
        <li><%= link_to "Trucks", trucks_path %>  </li>
        <li><%= link_to "Equipment", equipments_path %> </li>
        <% if current_user %>
          <li><%= link_to "Edit Profile", edit_user_registration_path %></li>
          <li><%= link_to "New Vehicle", new_vehicle_path %></li>
          <li>   <%= link_to "Sign out", destroy_user_session_path, method: :delete %></li>
        <% else %>
          <li> <%= link_to "Sign in", user_session_path %></li>
        <% end %>
      </ul>
    </div>
  </div>
</nav>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>EthiopianCars</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <%= stylesheet_link_tag "application", media: "all", 'data-turbolinks-track': "reload" %>
    <%= javascript_pack_tag "application", 'data-turbolinks-track': "reload" %>
  </head>
  <body>
    <% if flash[:notice] %>
      <div class  = "bg-success">
        <p class="notice"><%= notice %></p>
      </div>
    <% end %>
    <% if flash[:alert] %>
      <div class = "bg-danger">
        <p class="alert"><%= alert %></p>
      </div>
    <% end %>
    <%= render "layouts/navigation" %>
    <%= yield %>
    <%= render "layouts/footer" %>
    <br>
  </body>
</html>